Skip to main content
PUT
/
documents
/
external
/
{externalId}
Create or update a document by external ID
curl --request PUT \
  --url https://api.artu.ai/documents/external/{externalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope": "<unknown>",
  "type": "<unknown>",
  "expiresAt": "2023-12-25",
  "metadata": {},
  "fields": {
    "claveElector": "<string>",
    "curp": "<string>",
    "fullName": "<string>",
    "paternalSurname": "<string>",
    "maternalSurname": "<string>",
    "givenNames": "<string>",
    "dateOfBirth": "2023-12-25",
    "birthState": "<string>",
    "street": "<string>",
    "exteriorNumber": "<string>",
    "interiorNumber": "<string>",
    "neighborhood": "<string>",
    "municipality": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "section": "<string>",
    "registrationYear": 2000,
    "issueYear": 2000,
    "expirationYear": 2000
  },
  "filename": "<unknown>",
  "size": "<unknown>",
  "storagePath": "<unknown>"
}
'
{
  "data": {
    "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "status": "pending_upload",
    "filename": "<string>",
    "contentType": "<string>",
    "size": 0,
    "expiresAt": "2023-12-25",
    "verifiedAt": "2023-11-07T05:31:56Z",
    "verifiedBy": "<string>",
    "rejectionReason": "<string>",
    "reviewedAt": "2023-11-07T05:31:56Z",
    "reviewedBy": "<string>",
    "externalId": "<string>",
    "fields": {},
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

externalId
string
required

External ID

Minimum string length: 1

Body

application/json
clientId
string<uuid>
required

Client ID

scope
required
type
required
contentType
enum<string>

Content Type

Available options:
image/jpeg,
image/png,
image/webp,
application/pdf
category
enum<string>

Category

Available options:
identity,
tax,
address,
incorporation,
financial,
other,
consent
expiresAt
string<date>

Expires At

metadata
object

Metadata

fields
object
filename
any
size
any
storagePath
any

Response

200 - application/json

OK

data
object
required
action
enum<string>
required
Available options:
created,
updated,
skipped